DF(1)

NAME
df, dfspace - disk free

SYNOPSIS
df [-F fstype] [-M mtab] [-o fsoptions] [-befghiklnPtv] [file ...]
dfspace [-F fstype] [file ...]

DESCRIPTION
Df prints file system statistics. A file system is selected by a file it contains, or by its device file, as specified by the file argument. If no file argument is given, statistics are printed for all mounted file systems. The basic size unit is a block consisting of 512 bytes.

dfspace prints available and total disk space in megabyte units.

The df command accepts the following options:

-b  Print only the number of kilobytes free.

-be Print counts of free kilobytes and available files.

-e  Print only the number of available files.

-f  Omit the number of available files in traditional output format.

-F fstype
    Restrict output to filesystems of type fstype.

-g  Print the entire statvfs(2) structure. Overrides the -b, -e, -k, -n, -P, and -t options.

-k  If given alone, the allocation is printed in kbytes, and a different output format is used. If combined with the -P option, the size unit is changed from blocks to kbytes. Overrides the -b, -e, -f, -n, -t, and -v options.

-l  Omit statistics about non-local file systems. Currently, file systems with types of nfs and smbfs are considered to be non-local.

-n  Print the file system mount point and file system type only.

-o fsoptions
    Specifiy file-system specific options. There are none so this option will always cause an error message.

-t  Use the traditional output format as it is the default, but include total allocated-space figures in the output. Overrides the -b, -e and -n options.

-v  Select verbose output format, that is, mount point, device; total, used, and free block counts; and usage in percent.

-V  Print command lines for each file system only.

The following option has been introduced by POSIX.2:

-P  Select the portable (POSIX) output format.

The following options are extensions:

-h  Prints the sizes in human-readable powers of 1024, i.e. `K' for kilobyte, `M' for megabyte, `G' for gigabyte, `T' for terabyte, `P' for petabyte, and `E' for exabyte.

-i  Print i-node statistics.

-M mtab
    Use the specified mtab file to get a list of mounted filesystems.

FILES

/etc/mtab
    default mount table

ENVIRONMENT VARIABLES

SYSV3
    If this variable is set, the output text `files' is changed to `i-nodes'.

SEE ALSO
find(1), statvfs(2), mtab(5), mount(8)

NOTES

This df implementation cannot handle unmounted file systems.

Some advanced file system designs allocate i-nodes dynamically. Df then tries to estimate free and total counts of available files. This is currently done for the reiserfs file system.